Plugin Flash para seu Ubuntu 64bits

Bem, se você usa ubuntu 64bits talvez não tenha reparado, mas os pacotes ‘flashplugin-nonfree’ e ‘flashplugin-installer’ que normalmente usamos para instalar o plugin flash em nosso sistema apenas instala o flash 32 bits e além disso também bibliotecas de compatibilidade para programas 32bits (ia32-libs e cia).
Se voce tivesse de instalar o plugin flash manualmente encontraria no site da adobe o plugin 64bits lá. Apenas ninguém empacotou-o ainda, mesmo no próximo release do Ubuntu (Karmic Koala) o flash ainda é 32bits, por isso vamos detalhar a instalação manual do Flash 64bits no Ubuntu :
1) Faça o download do flash 64 bits a partir de :

http://labs.adobe.com/downloads/flashplayer10_64bit.html

2) Descompacte assim :

cd /local/onde/descarreguei/o/flash
tar zxvf libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

3) Remova o flash que estiver instalado no seu sistema :

sudo apt-get remove --purge flashplugin-nonfree flashplugin-installer

4) Feche seu navegador.

5) Copie o plugin para o local designado :

sudo cp libflashplayer.so /usr/lib64/firefox-addons/plugins/

Inicie (ou Reinicie) seu navegador, e para saber se está realmente usando o novo flash visite este endereço :

http://www.adobe.com/software/flash/about/

Se uma animação mostrar a frase “Adobe Flash Player sucessfully installed” :

adobe-flash-about

Então parabéns, o plugin esta funcionando perfeitamente.

Uma outra forma de diagnosticar se o plugin está instalado é digitando na barra de endereços do Firefox “about:plugins”, e notar se aparecerá no resultado :
firefox-about-plugins

Tenho usado o plugin 64bits a algumas semanas e não presenciei nenhum problema fora do comum.

  1. #1 por caos em 9 \09\UTC setembro \09\UTC 2009 - 8:31

    Legal

  2. #2 por mezulig em 9 \09\UTC setembro \09\UTC 2009 - 12:38

    Boa dica como sempre :)
    Desde a versão 8.10 se não estou em erro que uso este sistema.
    Com uma diferença coloco o libflashplayer.so para a pasta /usr/lib/mozilla/plugins/, não sem se é melhor ou pior, ou a mais correta. Mas funciona :D
    1abraço

  3. #3 por Leonardo Fontenelle em 14 \14\UTC setembro \14\UTC 2009 - 1:13

    Como você sabe que o instalar usa Flash de 32 bits?

    Usando o pacote flashplugin-installer do Ubuntu 9.04, ele instalou o seguinte:

    $ file /var/lib/flashplugin-installer/npwrapper.libflashplayer.so
    /var/lib/flashplugin-installer/npwrapper.libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped

  4. #4 por Roger de Almeida em 16 \16\UTC setembro \16\UTC 2009 - 4:10

    Há um equívoco ai. O plugin do flash que o artigo cita, é a versão alfa, portanto não há garantias de funcionamento.

    É por isso que o artefato não foi empacotado, já que é uma versão de desenvolvimento (alfa) e nem chegou a versão de teste (beta).

    O motivo da demora em lançar a versão 64bits é um mistério. Parece-me que não é uma questão técnica mas sim, política de mercado da Adobe.

    É isso ai

  5. #5 por Raphael Ferreira em 21 \21\UTC setembro \21\UTC 2009 - 22:30

    Funcionou perfeitamente! Belo tutorial!

  6. #6 por Brocolis em 14 \14\UTC outubro \14\UTC 2009 - 10:55

    vlw cara tava quebrando a cabeça!!!!!
    abraços

  7. #7 por Rafael Hernandez em 19 \19\UTC outubro \19\UTC 2009 - 19:54

    Olá, parabéns pelo site …

    Eu Postei uma matéria sobre Fábio Filho, responsável pelas operações da Canonical no Brasil, empresa por trás do Sistema Operacional Linux/Ubuntu. Fundada em 2004 vem ao longo dos últimos 5 anos, prestar suporte técnico dedicado a uma das melhores distribuições linux do mercado de Software Livre e com alta agilidade vem adquirindo cada vez mais espaço no mundo Open-source.

    Click no link para Assistir: http://www.rafaeldesigner.com.br/blog/tutoriais/entrevista-especial-com-fabio-filho-da-canonical

    Abraço

  8. #8 por nene em 10 \10\UTC novembro \10\UTC 2009 - 15:09

    perfeito, sempre com boas dicas. obrigado!

  9. #9 por Filipo Tardim em 24 \24\UTC novembro \24\UTC 2009 - 0:22

    De fato funciona perfeitamente. Fiquei encucado com a história de que “ninguém empacotou-o” e resolvi criar um pacote para facilitar as próximas reinstalações:
    http://forum.lineduc.ctics.info/download/adobe-flashplugin_10.0.32.18-1_amd64.deb

  10. #10 por Eduardo em 7 \07\UTC dezembro \07\UTC 2009 - 20:27

    Bom graças ao pacote do felipo eu instelei e estou usando sem problemas
    vlw cara

  11. #11 por Bastos em 13 \13\UTC dezembro \13\UTC 2009 - 23:08

    Ótimo, funcionou jóia! O plugin que vem no ubuntu não estava funcionando. Obrigado.

  12. #12 por Lucas em 15 \15\UTC janeiro \15\UTC 2010 - 19:33

    Muito obrigado. Após realizar os comandos indicados o plugin funcionou perfeitamente para o Firefox e apenas para o Firefox. Considerando que não possuo o Flash 32 bits instalado, como fazer o FLash funcionar em outros navegadores (Chrome, p. ex.)?

    Grato pela atenção.

  13. #13 por Filipo Tardim em 20 \20\UTC março \20\UTC 2010 - 15:32

    Parece que não tem mais a versão 64 bits, infelizmente :(

  14. #14 por Filipo Tardim em 2 \02\UTC abril \02\UTC 2010 - 12:13

    Novo link para o Flash 64:
    http://labs.adobe.com/downloads/flashplayer10_64bit.html

    Reempacotei, substituindo o arquivo pela nova versão:
    forum.lineduc.ctics.info/download/adobe-flashplugin_10.0.45.2_amd64.deb

  1. Minha visão : Firefox ideal « Hamacker’s Palace
%d blogueiros gostam disto: